/*
 * -
 *  ============LICENSE_START=======================================================
 *  Copyright (C) 2022 Nordix Foundation.
 *  ================================================================================
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *  ============LICENSE_END=========================================================
 */

import {PropertySource} from "./property-source";
import {ToscaGetFunctionType} from "./tosca-get-function-type";
import {ToscaFunction} from "./tosca-function";
import {ToscaFunctionType} from "./tosca-function-type.enum";

export class ToscaGetFunction implements ToscaFunction {
    type: ToscaFunctionType;
    propertyUniqueId: string;
    propertyName: string;
    propertySource: PropertySource;
    sourceUniqueId: string;
    sourceName: string;
    functionType: ToscaGetFunctionType;
    propertyPathFromSource: Array<string>;
    value: any

    constructor(toscaGetFunction?: ToscaGetFunction) {
        if (!toscaGetFunction) {
            return;
        }
        this.propertyUniqueId = toscaGetFunction.propertyUniqueId;
        this.propertyName = toscaGetFunction.propertyName;
        this.propertySource = toscaGetFunction.propertySource;
        this.sourceUniqueId = toscaGetFunction.sourceUniqueId;
        this.sourceName = toscaGetFunction.sourceName;
        this.functionType = toscaGetFunction.functionType;
        if (toscaGetFunction.propertyPathFromSource) {
            this.propertyPathFromSource = [...toscaGetFunction.propertyPathFromSource];
        }
    }

}